Subject: bug#13708: 24.3.50; icomplete, ido, iswitchb: Replace C-s, C-r with C-. and C-,

From: Dmitry Gutov <[email-masked]>
Date: Thu, 14 Feb 2013 09:12:26 +0400

On 14.02.2013 8:54, Jambunathan K wrote:
> Dmitry Gutov <[email-masked]> writes:
>
>> Jambunathan K <[email-masked]> writes:
>>
>>> This bug superseds
>>>          http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13602
>>>
>>> There seems to be a general agreement that C-s and C-r are too useful to
>>> be superseded by icomplete, ido and iswitchb(?).
>>
>> How exactly the default bindings for C-s and C-r are supposed to be used
>> in ido-mode?
>
> I don't know.  Just not use C-s and C-r at all.

What if the user tries to use them? By reflex, or out of exploratory 
interest.

I tried removing the overridded keybindings like you suggested, but C-s 
still doesn't really work after that, the interface is half-ido, 
half-isearch. That's bad.

So, I'm against removing them.

> Or
>
> Introduce two defcustoms of type :key-sequence *shared* across the three
> libraries (ido, iswithcb and icomplete).
>
> and set them to C-. and C-,
>
> I don't know what solution would be best here.  Nothing wrong to
> discuss, I suppose.
>
>>> I am proposing C-, and C-. as useful defaults.
>
> I think you are not objecting to this.

I don't have anything against these specific keybindings, except if C-s 
and C-r are not removed, they will be extraneous.

Not much of a problem, I guess.

>>> For fear of resentment, I am leaving C-s and C-r bindings intact.
>>> Reviewer may delete them at his own discretion.
>
> I am in favor of deletion.
>